summaryrefslogtreecommitdiffstats
path: root/academic/qhull
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2010-05-12 23:27:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:40 +0200
commitbea7ea4cfaa553a486fe3408302d586da9be8d8d (patch)
tree8c30237af22d24a83ee8fda6f5e1271edb835f7c /academic/qhull
parent4413cc1b0a5668cad2194f7fadb0c5bd9832d93d (diff)
downloadslackbuilds-bea7ea4cfaa553a486fe3408302d586da9be8d8d.tar.gz
slackbuilds-bea7ea4cfaa553a486fe3408302d586da9be8d8d.tar.xz
academic/qhull: Added to 12.2 repository
Diffstat (limited to 'academic/qhull')
-rw-r--r--academic/qhull/README15
-rw-r--r--academic/qhull/qhull.SlackBuild77
-rw-r--r--academic/qhull/qhull.info8
-rw-r--r--academic/qhull/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/academic/qhull/README b/academic/qhull/README
new file mode 100644
index 0000000000..2e1d12e3f3
--- /dev/null
+++ b/academic/qhull/README
@@ -0,0 +1,15 @@
+Qhull (Implements the Quickhull Algorithm)
+
+Qhull computes the convex hull, Delaunay triangulation, Voronoi
+diagram, halfspace intersection about a point, furthest-site Delaunay
+triangulation, and furthest-site Voronoi diagram. The source code runs
+in 2-d, 3-d, 4-d, and higher dimensions. It implements the Quickhull
+algorithm for computing the convex hull. Qhull handles roundoff errors
+from floating point arithmetic. It computes volumes, surface areas,
+and approximations to the convex hull.
+
+Qhull does not support constrained Delaunay triangulations, triangulation of
+non-convex surfaces, mesh generation of non-convex objects, or medium-sized
+inputs in 9-D and higher.
+
+qhull is an optional dependency for the octave package.
diff --git a/academic/qhull/qhull.SlackBuild b/academic/qhull/qhull.SlackBuild
new file mode 100644
index 0000000000..7a5b45173f
--- /dev/null
+++ b/academic/qhull/qhull.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for qhull
+
+# Written by Chris Abela <chris.abela@maltats.com>
+# April 2009
+# |-----------------------------------------------------------------| #
+
+PRGNAM=qhull
+VERSION=${VERSION:-2003.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -fno-strict-aliasing"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -fno-strict-aliasing"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -fno-strict-aliasing"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make \
+ docdir=/usr/doc/$PRGNAM-$VERSION
+make install \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "current ar archive" | cut -f 1 -d : | \
+ xargs strip -g 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cp -a File_id.diz $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/qhull/qhull.info b/academic/qhull/qhull.info
new file mode 100644
index 0000000000..432380f377
--- /dev/null
+++ b/academic/qhull/qhull.info
@@ -0,0 +1,8 @@
+PRGNAM="qhull"
+VERSION="2003.1"
+HOMEPAGE="http://www.qhull.org/"
+DOWNLOAD="http://www.qhull.org/download/qhull-2003.1.tar.gz"
+MD5SUM="48228e26422bff85ef1f45df5b6e3314"
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="rworkman"
diff --git a/academic/qhull/slack-desc b/academic/qhull/slack-desc
new file mode 100644
index 0000000000..0a45cbe65f
--- /dev/null
+++ b/academic/qhull/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+qhull: Qhull (Implements the Quickhull Algorithm)
+qhull:
+qhull: Qhull computes the convex hull, Delaunay triangulation, Voronoi
+qhull: diagram, halfspace intersection about a point, furthest-site Delaunay
+qhull: triangulation, and furthest-site Voronoi diagram. The source code runs
+qhull: in 2-d, 3-d, 4-d, and higher dimensions. It implements the Quickhull
+qhull: algorithm for computing the convex hull. Qhull handles roundoff errors
+qhull: from floating point arithmetic. It computes volumes, surface areas,
+qhull: and approximations to the convex hull.
+qhull:
+qhull: